# Public API for module omni.physxcct:

## Functions

- def get_physx_cct_interface() -> IPhysxCct

## Other



# Public API for module omni.physxcct.scripts.utils:

## Classes

- class ControlFlag(IntFlag)
  - VERTICAL_MOVEMENT: Unknown
  - KBD_MOUSE: Unknown
  - GAMEPAD: Unknown
  - DEFAULT: Unknown
  - KBD_MOUSE_DEFAULT: Unknown
  - GAMEPAD_DEFAULT: Unknown

- class CharacterController
  - def __init__(self, cct_path, fp_cam_path = None, enable_gravity = True, max_climbable_offset = 0.5)
  - def activate(self, stage)
  - def disable(self)
  - def shutdown(self)
  - def setup_controls(self, speed, flags = ControlFlag.DEFAULT, rebind = None)

## Functions

- def spawn_capsule(stage, path, pos, height = 50, radius = 25)
